@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Pacifico&display=swap");
/* General */

:root {
  --blue: #0d6efd;
  --indigo: #6610f2;
  --purple: #6f42c1;
  --pink: #d63384;
  --red: #dc3545;
  --orange: #fd7e14;
  --yellow: #ffc107;
  --green: #198754;
  --teal-2: #20c997;
  --teal: #00FFFF;
  --cyan: #0dcaf0;
  --blue-dark: #0a087ad3;
  --black: #000;
  --white: #fff;
  --gray: #6c757d;
  --gray-dark: #343a40;
  --gray-100: #f8f9fa;
  --gray-200: #e9ecef;
  --gray-300: #dee2e6;
  --gray-400: #ced4da;
  --gray-500: #adb5bd;
  --gray-600: #6c757d;
  --gray-700: #495057;
  --gray-800: #343a40;
  --gray-900: #212529;
  --primary: #0d6efd;
  --secondary: #6c757d;
  --success: #198754;
  --info: #0dcaf0;
  --warning: #ffc107;
  --danger: #dc3545;
  --light: #f8f9fa;
  --dark: #212529;
  --bs-primary-rgb: 13, 110, 253;
  --bs-secondary-rgb: 108, 117, 125;
  --bs-success-rgb: 25, 135, 84;
  --bs-info-rgb: 13, 202, 240;
  --bs-warning-rgb: 255, 193, 7;
  --bs-danger-rgb: 220, 53, 69;
  --bs-light-rgb: 248, 249, 250;
  --bs-dark-rgb: 33, 37, 41;
  --bs-primary-text-emphasis: #052c65;
  --bs-secondary-text-emphasis: #2b2f32;
  --bs-success-text-emphasis: #0a3622;
  --bs-info-text-emphasis: #055160;
  --bs-warning-text-emphasis: #664d03;
  --bs-danger-text-emphasis: #58151c;
  --bs-light-text-emphasis: #495057;
  --bs-dark-text-emphasis: #495057;
  --bs-primary-bg-subtle: #cfe2ff;
  --bs-secondary-bg-subtle: #e2e3e5;
  --bs-success-bg-subtle: #d1e7dd;
  --bs-info-bg-subtle: #cff4fc;
  --bs-warning-bg-subtle: #fff3cd;
  --bs-danger-bg-subtle: #f8d7da;
  --bs-light-bg-subtle: #fcfcfd;
  --bs-dark-bg-subtle: #ced4da;
  --bs-primary-border-subtle: #9ec5fe;
  --bs-secondary-border-subtle: #c4c8cb;
  --bs-success-border-subtle: #a3cfbb;
  --bs-info-border-subtle: #9eeaf9;
  --bs-warning-border-subtle: #ffe69c;
  --bs-danger-border-subtle: #f1aeb5;
  --bs-light-border-subtle: #e9ecef;
  --bs-dark-border-subtle: #adb5bd;
  --bs-white-rgb: 255, 255, 255;
  --bs-black-rgb: 0, 0, 0;
  --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto,
    "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas,
    "Liberation Mono", "Courier New", monospace;
  --bs-gradient: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.15),
    rgba(255, 255, 255, 0)
  );
  --bs-body-font-family: var(--bs-font-sans-serif);
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.5;
  --bs-body-color: #212529;
  --bs-body-color-rgb: 33, 37, 41;
  --bs-body-bg: #fff;
  --bs-body-bg-rgb: 255, 255, 255;
  --bs-emphasis-color: #000;
  --bs-emphasis-color-rgb: 0, 0, 0;
  --bs-secondary-color: rgba(33, 37, 41, 0.75);
  --bs-secondary-color-rgb: 33, 37, 41;
  --bs-secondary-bg: #e9ecef;
  --bs-secondary-bg-rgb: 233, 236, 239;
  --bs-tertiary-color: rgba(33, 37, 41, 0.5);
  --bs-tertiary-color-rgb: 33, 37, 41;
  --bs-tertiary-bg: #f8f9fa;
  --bs-tertiary-bg-rgb: 248, 249, 250;
  --bs-heading-color: inherit;
  --bs-link-color: #0d6efd;
  --bs-link-color-rgb: 13, 110, 253;
  --bs-link-decoration: underline;
  --bs-link-hover-color: #0a58ca;
  --bs-link-hover-color-rgb: 10, 88, 202;
  --bs-code-color: #d63384;
  --bs-highlight-color: #212529;
  --bs-highlight-bg: #fff3cd;
  --bs-border-width: 1px;
  --bs-border-style: solid;
  --bs-border-color: #dee2e6;
  --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
  --bs-border-radius: 0.375rem;
  --bs-border-radius-sm: 0.25rem;
  --bs-border-radius-lg: 0.5rem;
  --bs-border-radius-xl: 1rem;
  --bs-border-radius-xxl: 2rem;
  --bs-border-radius-2xl: var(--bs-border-radius-xxl);
  --bs-border-radius-pill: 50rem;
  --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
  --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
  --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
  --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
  --bs-focus-ring-width: 0.25rem;
  --bs-focus-ring-opacity: 0.25;
  --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
  --bs-form-valid-color: #198754;
  --bs-form-valid-border-color: #198754;
  --bs-form-invalid-color: #dc3545;
  --bs-form-invalid-border-color: #dc3545;
  --body: #dad6c6;
}
html {
  scroll-behavior: smooth;
}
body {
  padding: 0;
  margin: 0;
  font-family: "Poppins", sans-serif;
 /*  background-color: var(--body); */
  background-image: url('../img/bg.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  scroll-behavior: smooth;
}
a {
  text-decoration: none;
  /* color: #3a3838; */
  color: #f7eeee;
}

ul {
  list-style: none;
}
button {
  border: none;
}

input {
  outline: none;
}

.small {
  font-size: 12px;
}
.btn {
  padding: 0.7rem;
  border-radius: 3px;
  box-shadow: 5px 3px 14px 2px rgb(177, 175, 175);
  width: 100%;
  cursor: pointer;
  transition: all 300ms ease-in-out;
  text-align: center;
  font-size: small;
}
.btn:hover {
  opacity: 0.9;
}
.btn-primary {
  color: #fff;
  background-color: var(--blue);
}
.btn-success {
  color: #fff;
  background-color: var(--success);
}
.btn-danger {
  color: #fff;
  background-color: var(--danger);
}
.btn-info {
  color: #111;
  background-color: var(--info);
}

.pointer {
  cursor: pointer;
}

/*form-control css */
.form-control {
  display: block;
  width: 90%;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-body-color);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: var(--bs-body-bg);
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.form-control.select {
  width: 100%;
}
@media (prefers-reduced-motion: reduce) {
  .form-control {
    transition: none;
  }
}
.form-control[type="file"] {
  overflow: hidden;
}
.form-control[type="file"]:not(:disabled):not([readonly]) {
  cursor: pointer;
}
.form-control:focus {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}
.form-control::-webkit-date-and-time-value {
  min-width: 85px;
  height: 1.5em;
  margin: 0;
}
.form-control::-webkit-datetime-edit {
  display: block;
  padding: 0;
}
.form-control::-moz-placeholder {
  color: var(--bs-secondary-color);
  opacity: 1;
}
.form-control::placeholder {
  color: var(--bs-secondary-color);
  opacity: 1;
}
.form-control:disabled {
  background-color: var(--bs-secondary-bg);
  opacity: 1;
}
.form-control::-webkit-file-upload-button {
  padding: 0.375rem 0.75rem;
  margin: -0.375rem -0.75rem;
  -webkit-margin-end: 0.75rem;
  margin-inline-end: 0.75rem;
  color: var(--bs-body-color);
  background-color: var(--bs-tertiary-bg);
  pointer-events: none;
  border-color: inherit;
  border-style: solid;
  border-width: 0;
  border-inline-end-width: var(--bs-border-width);
  border-radius: 0;
  -webkit-transition: color 0.15s ease-in-out,
    background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
    box-shadow 0.15s ease-in-out;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.form-control::file-selector-button {
  padding: 0.375rem 0.75rem;
  margin: -0.375rem -0.75rem;
  -webkit-margin-end: 0.75rem;
  margin-inline-end: 0.75rem;
  color: var(--bs-body-color);
  background-color: var(--bs-tertiary-bg);
  pointer-events: none;
  border-color: inherit;
  border-style: solid;
  border-width: 0;
  border-inline-end-width: var(--bs-border-width);
  border-radius: 0;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .form-control::-webkit-file-upload-button {
    -webkit-transition: none;
    transition: none;
  }
  .form-control::file-selector-button {
    transition: none;
  }
}
.form-control:hover:not(:disabled):not([readonly])::-webkit-file-upload-button {
  background-color: var(--bs-secondary-bg);
}
.form-control:hover:not(:disabled):not([readonly])::file-selector-button {
  background-color: var(--bs-secondary-bg);
}

.form-control-plaintext {
  display: block;
  width: 100%;
  padding: 0.375rem 0;
  margin-bottom: 0;
  line-height: 1.5;
  color: var(--bs-body-color);
  background-color: transparent;
  border: solid transparent;
  border-width: var(--bs-border-width) 0;
}
.form-control-plaintext:focus {
  outline: 0;
}
.form-control-plaintext.form-control-sm,
.form-control-plaintext.form-control-lg {
  padding-right: 0;
  padding-left: 0;
}

.form-control-sm {
  min-height: calc(1.5em + 0.5rem + calc(var(--bs-border-width) * 2));
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  border-radius: var(--bs-border-radius-sm);
}
.form-control-sm::-webkit-file-upload-button {
  padding: 0.25rem 0.5rem;
  margin: -0.25rem -0.5rem;
  -webkit-margin-end: 0.5rem;
  margin-inline-end: 0.5rem;
}
.form-control-sm::file-selector-button {
  padding: 0.25rem 0.5rem;
  margin: -0.25rem -0.5rem;
  -webkit-margin-end: 0.5rem;
  margin-inline-end: 0.5rem;
}

.form-control-lg {
  min-height: calc(1.5em + 1rem + calc(var(--bs-border-width) * 2));
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  border-radius: var(--bs-border-radius-lg);
}
.form-control-lg::-webkit-file-upload-button {
  padding: 0.5rem 1rem;
  margin: -0.5rem -1rem;
  -webkit-margin-end: 1rem;
  margin-inline-end: 1rem;
}
.form-control-lg::file-selector-button {
  padding: 0.5rem 1rem;
  margin: -0.5rem -1rem;
  -webkit-margin-end: 1rem;
  margin-inline-end: 1rem;
}

textarea.form-control {
  min-height: calc(1.5em + 0.75rem + calc(var(--bs-border-width) * 2));
}
textarea.form-control-sm {
  min-height: calc(1.5em + 0.5rem + calc(var(--bs-border-width) * 2));
}
textarea.form-control-lg {
  min-height: calc(1.5em + 1rem + calc(var(--bs-border-width) * 2));
}

.form-control-color {
  width: 3rem;
  height: calc(1.5em + 0.75rem + calc(var(--bs-border-width) * 2));
  padding: 0.375rem;
}
.form-control-color:not(:disabled):not([readonly]) {
  cursor: pointer;
}
.form-control-color::-moz-color-swatch {
  border: 0 !important;
  border-radius: var(--bs-border-radius);
}
.form-control-color::-webkit-color-swatch {
  border: 0 !important;
  border-radius: var(--bs-border-radius);
}
.form-control-color.form-control-sm {
  height: calc(1.5em + 0.5rem + calc(var(--bs-border-width) * 2));
}
.form-control-color.form-control-lg {
  height: calc(1.5em + 1rem + calc(var(--bs-border-width) * 2));
}

/*Fin General */

/* Nav mobile */
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  background-color: var(--blue-dark);
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  padding: 1rem;
  text-decoration: none;
  font-size: 18px;
  color: #ffffff;
  display: block;
  transition: 0.3s;
  border-bottom: 1px solid #c2c1c1;
}

.sidenav a:hover {
  color: var(--teal);
  border-color: var(--teal);
}
.sidenav a:first-child {
  border-bottom: none;
}
.sidenav a:first-child:hover {
  color: var(--danger);
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
  color: #fff;
}

#main {
  transition: margin-left 0.5s;
  padding: 16px;
}
.overlay {
  width: 100%;
  position: fixed;
  height: 120vh;
  background-color: #77757588;
  z-index: 1;
  display: none;
}

@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }
  .sidenav a {
    font-size: 18px;
  }
}
/* fin */
/* Top */
.top {
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--blue-dark);
  color: #fff;
  text-align: center;
  position: sticky;
  top: 0;
  z-index: 90;
}
.top > i {
  font-size: 29px;
  padding-right: 10px;
  cursor: pointer;
}
.top form input {
  padding: 9px;
  border: 0.5px solid #ccc8c8;
  border-radius: 5px;
  width: 250px;
}
/*Fin Top */

/* Container */
.container {
  width: 80%;
  margin: 0 auto;
  padding: 1rem;
  padding-top: 0;
}
main {
  background-color: var(--bs-light-bg-subtle);
  padding: 1rem;
}
/* Fin Container */

/* Header */
.container .header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 3px;
}
.container .header .logo {
  display: flex;
  align-items: center;
  font-size: 18px;
  gap: 5px;
  font-family: "Pacifico", cursive;
}
.container .header .logo img {
  width: 40px;
}

.container .header nav ul {
  display: flex;
  align-items: center;
  gap: 15px;
}
.container .header nav ul li {
  padding: 0.5rem;
  border-radius: 5px;
  transition: all 300ms ease-in-out;
}
.container .header nav ul li a {
  color: var(--white);
}

.container .header nav ul li:hover a {
  color: var(--teal);
}
.color_teal{
color: var(--teal) !important;
}

.top .navCloseBtn {
  display: none;
}

.container .header .connexion a {
  padding: 9px;
  transition: all 300ms ease-in-out;
}

.container .header .connexion a:last-child {
  background-color: var(--blue);
  color: #fff;
  border-radius: 5px;
  font-size: small;
}
.container .header .connexion a:hover {
  opacity: 0.8;
}
.bxs-donate-heart {
  color: var(--bs-code-color);
}
/* Fin Header */

/* Catogories top */

.container .categories-container .categorie {
  display: flex;
  align-items: center;
  gap: 10px;
}

.container .top-categories-container .categorie .image img {
  width: 80px;
}
.container .top-categories-container .categorie {
  display: flex;
  align-items: center;
  gap: 10px;
  border: 1px solid #c2c1c1;
  background-color: #f0eaea;
  padding: 1rem;
  height: 100px;
}
.container .top-categories-container .categorie .detail h3 {
  margin: 0;
  border: 1px solid transparent;
}
.container .top-categories-container .categorie .detail p {
  margin: 0;
  border: 1px solid transparent;
  font-size: smaller;
}

/* Scroll horizontal */

.wrapper {
  max-width: 1100px;
  width: 100%;
  position: relative;
  cursor: move;
}
.wrapper i {
  top: 50%;
  height: 50px;
  width: 50px;
  cursor: pointer;
  font-size: 1.25rem;
  position: absolute;
  text-align: center;
  line-height: 50px;
  background: var(--blue);
  color: #fff;
  border-radius: 50%;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.23);
  transform: translateY(-50%);
  transition: transform 0.1s linear;
  display: none; /* Pour ne pas afficher les bouttons du carousel */
}
.wrapper i:active {
  transform: translateY(-50%) scale(0.85);
}
.wrapper i:first-child {
  left: -22px;
}
.wrapper i:last-child {
  right: -22px;
}
.wrapper .carousel {
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: calc((100% / 3) - 12px);
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  gap: 16px;
  border-radius: 8px;
  scroll-behavior: smooth;
  scrollbar-width: none;
}
.carousel::-webkit-scrollbar {
  display: none;
}
.carousel.no-transition {
  scroll-behavior: auto;
}
.carousel.dragging {
  scroll-snap-type: none;
  scroll-behavior: auto;
}
.carousel.dragging .card {
  cursor: grab;
  user-select: none;
}
.carousel :where(.card, .img) {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Les livres */

.container .derniers-livres {
  display: grid;
  grid-template-columns: auto auto auto auto auto auto;
  text-align: center;
}
.container .derniers-livres img.cover {
  height: 200px;
  width: 123px;
}
.cover{
  border: 1px solid var(--bs-secondary-bg-subtle);
}

.container .derniers-livres .livre{
  margin-bottom: 1rem;
}
.container .derniers-livres .livre.livre_accueil{
  display: none;
}
.container .derniers-livres .livre.livre_accueil:nth-child(-n + 24) {
  display: inline-block;
}
.container .derniers-livres .livre p a {
  font-size: 14.6px;
}

/* Charger plus */
.container .LoadMore {
  width: 100%;
  margin-top: 1rem;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
.container .LoadMore #load-more {
  max-width: 300px;
}

/* Footer */
footer {
  display: grid;
  grid-template-columns: auto auto auto auto;
  margin-top: 1rem;
  text-align: center;
}

footer div ul {
  padding: 0;
}
footer div ul li {
  margin-bottom: 10px;
}
footer div ul li a:hover {
  color: var(--teal);
}
footer h2{
color: var(--teal) !important;}
.copyright {
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--blue-dark);
  color: #fff;
  text-align: center;
}

/* Connexion */
.form-container {
  width: 100%;
  display: flex;
  align-items: start;
  justify-content: space-around;
}

.champ-input {
  max-width: 350px;
  margin: 1rem auto;
}
.champ-input input {
  margin-top: 5px;
}
.form-h3 {
  text-align: center;
  text-decoration: underline;
}
.separateur {
  width: 2px;
  height: 100vh;
  background-color: var(--gray-400);
}
.separateur.horizontal {
  width: 100%;
  height: 2px;
}

#connexionForm,
#inscriptionForm,
#forgotPassForm {
  padding: 50px;
  border-radius: 20px;
}

/* Page detail livre */
.livre-detail {
  display: grid;
  grid-template-columns: 220px auto;
  position: relative;
}
.nextBtn,
.prevBtn {
  position: absolute;
  top: 20%;
  background-color: var(--bs-link-color);
  color: var(--white);
  border-radius: 50%;
  padding: 0.8rem;
}
.nextBtn {
  right: -30px;
}
.prevBtn {
  left: -30px;
}
.livre-detail .left-side {
  padding: 1rem;
  border: 1px solid var(--gray-500);
  text-align: center;
}
.livre-detail .right-side {
  padding: 1rem;
  padding-top: 0;
}

.livre-detail .left-side .img.cover {
  height: 250px;
  width: 160px;
}
.livre-detail .left-side .image {
  margin-bottom: 1rem;
}

.livre-detail .right-side .entete {
  display: flex;
  align-items: start;
  justify-content: space-between;
  flex-wrap: wrap;
}
.livre-detail .right-side .entete .auteur {
  font-size: 16px;
  font-weight: normal;
}
.livre-detail .right-side .entete .derniere_modif {
  font-size: small;
}
.livre-detail .right-side .statistiquesList {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  padding-left: 0;
}
.livre-detail .right-side .statistiquesList li {
  padding: 1rem;
  padding-bottom: 0.4rem;
  position: relative;
}
.livre-detail .right-side .statistiquesList li::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 0px;
  width: 5px;
  height: 5px;
  background-color: var(--black);
  border-radius: 50%;
}
.livre-detail .right-side .statistiquesList li:last-child::after {
  display: none;
}

.livre-detail .right-side .informations {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 4rem;
}
.livre-detail .right-side .informations .card {
  display: block;
  border: 1px solid var(--gray-500);
  width: 170px;
  min-height: 120px;
  padding: 0.1rem;
  text-align: center;
}

/* Profil utilisateur */

/* Page detail livre */
.profil {
  display: grid;
  grid-template-columns: 220px auto;
}
.profil .left-side {
  padding: 5px;
  text-align: left;
  box-shadow: rgba(64, 64, 66, 0.25) 0px 30px 60px -12px inset,
    rgba(163, 162, 162, 0.3) 0px 18px 36px -18px inset;
  background-color: var(--gray-100);
  position: relative;
}
.profil .left-side .menuList a{
color: var(--dark) !important;}
.profil .right-side {
  padding: 1rem;
  padding-top: 0;
}
.profil .titre {
  background-color: var(--gray-400);
  color: #413e3e;
  padding: 6px;
  font-size: 16px;
}
.profil .menuList {
  padding: 0;
}
.profil .menuList li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1rem;
}

.profil .menuList li:last-child {
  margin-bottom: 4rem;
}
.profil .left-side .deconnexionBtn {
  position: absolute;
  bottom: 5px;
  max-width: 150px;
  left: 24px;
}

.profil .right-side .div {
  display: none;
  transition: all 200ms ease-in-out;
}

.profil .right-side .div:first-child {
  display: block;
}

.profil .right-side .cover {
  height: 150px;
  width: 90px;
}
.profil .right-side .card {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  background: -webkit-linear-gradient(90deg, #bdbdbc, #f0f0f0, #ffffff);
  background: linear-gradient(90deg, #bdbdbc, #f0f0f0, #ffffff);
  padding: 5px;
  height: 150px;
  margin-bottom: 5px;
}
.profil .right-side .card .actions {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}
.profil .right-side .card .actions a {
  max-width: 100%;
  margin-bottom: 5px;
}
.profil .right-side .card .detail ul {
  display: flex;
  align-items: center;
  justify-content: center;
}
.profil .right-side #parametres ul li {
  margin-bottom: 1rem;
}
.profil .right-side #parametres ul li a {
  text-decoration: underline;
  color: var(--blue);
}

.profil .right-side .userInfos {
  max-width: 300px;
  margin: 0 auto;
  padding: 1rem;
}

/* Spinner */
@keyframes loading {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
.loading div {
  position: absolute;
  width: 60px;
  height: 60px;
  border: 10px solid var(--blue);
  border-top-color: transparent;
  border-radius: 50%;
}
.loading div {
  animation: loading 0.819672131147541s linear infinite;
  top: 50px;
  left: 50px;
}
.loading-container {
  width: 38px;
  height: 38px;
  display: inline-block;
  overflow: hidden;
  background: rgba(NaN, NaN, NaN, 0);
}
.loading {
  width: 100%;
  height: 100%;
  position: relative;
  transform: translateZ(0) scale(0.38);
  backface-visibility: hidden;
  transform-origin: 0 0; /* see note above */
}
.loading div {
  box-sizing: content-box;
}

/* Ajout livre */
.pointer {
  cursor: pointer;
}
.picture {
  text-align: center;
}
.picture img {
  max-height: 200px;
}

.loader-div {
  display: none;
  position: fixed;
  margin: 0px;
  padding: 0px;
  right: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background-color: #fff;
  z-index: 30001;
  opacity: 0.8;
}
.loader-img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}
.loader-div .texte {
  position: absolute;
  top: 59%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80%;
  margin: auto;
  font-size: 20px;
  text-align: center; 
}
